// (function ($, Drupal) {
//   'use strict';

//   Drupal.behaviors.performanceAnalyzer = {
//     attach: function (context, settings) {
//       // Initialize tooltips
//       $(once('performance-analyzer', '[data-toggle="tooltip"]', context)).tooltip();

//       // Code example expansion
//       $('.code-example-toggle', context).on('click', function(e) {
//         e.preventDefault();
//         $(this).closest('.recommendation-item').find('.code-example').slideToggle();
//       });

//       // Score animation
//       $('.score-badge', context).each(function() {
//         const $badge = $(this);
//         const score = parseInt($badge.text());
//         $badge.prop('Counter', 0).animate({
//           Counter: score
//         }, {
//           duration: 1000,
//           step: function(now) {
//             $(this).text(Math.ceil(now) + '%');
//           }
//         });
//       });

//       // Filter issues by severity
//       $('.severity-filter', context).on('change', function() {
//         const severity = $(this).val();
//         if (severity === 'all') {
//           $('.issue-item').show();
//         } else {
//           $('.issue-item').hide();
//           $('.severity-' + severity).show();
//         }
//       });

//       // Expandable module sections
//       $('.module-analysis h3', context).on('click', function() {
//         $(this).closest('.module-analysis').find('.issues-wrapper, .recommendations-wrapper').slideToggle();
//       });

//       // Copy code examples to clipboard
//       $('.copy-code', context).on('click', function(e) {
//         e.preventDefault();
//         const code = $(this).closest('.code-example').find('code').text();
//         navigator.clipboard.writeText(code).then(() => {
//           Drupal.behaviors.performanceAnalyzer.showCopyFeedback(this);
//         });
//       });
//     },

//     showCopyFeedback: function(element) {
//       const $element = $(element);
//       const originalText = $element.text();
//       $element.text(Drupal.t('Copied!'));
//       setTimeout(() => {
//         $element.text(originalText);
//       }, 2000);
//     }
//   };

// })(jQuery, Drupal);

// js/performance-analyzer.js
(function ($, Drupal, once) {
  'use strict';

  Drupal.behaviors.performanceAnalyzer = {
    attach: function (context, settings) {
      once('performance-analyzer', '.tabs-nav li', context).forEach((element) => {
        $(element).on('click', function() {
          const tabId = $(this).data('tab');
          
          // Update active tab
          $('.tabs-nav li').removeClass('tab-active');
          $(this).addClass('tab-active');
          
          // Show selected content
          $('.tab-content').removeClass('active');
          $(`#tab-${tabId}`).addClass('active');
        });
      });
    }
  };
})(jQuery, Drupal, once);
